[ Identification | Description | Input parameters | Output parameters | Links ]

# The `Filter_gen` Component

This components may either set the flux or change it (filter-like), using an external data file.

## Identification

- Author: EF (from Flux_adapter)
- Origin: ILL
- Date: Dec, 15th, 2002
- Version: 1.0

## Description

    This component changes the neutron flux (weight) in order to match
    a reference table on disk. This file may be of format
    (k[Angs-1],p), (omega[meV],p), (lambda[Angs],p) where p is the weight.
    A table rebinning and linear interpolation are performed.
    Typically you may set the neutron flux (source-like), or multiply it
    using a transmission table (filter-like).
    The component may be placed after a source, in order to
    simulate a real source, or used as a filter (BeO), or as a window (Al).
    If the thickness for the transmission data D was t0, and a different
    thickness t1 would be required, then the resulting transmission is: D^(t1/t0).
    Also, a scaling factor may be used for multiplication with D.

    EXAMPLE : in order to simulate a PG filter, using the lib/data/HOPG.trs file
         Filter_gen(xmin = -0.1, xmax = 0.1,
          ymin = -0.1, ymax = 0.1,
          file="HOPG.trm")

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
file | # lines | name of the file to look at (first two columns data) data D should rather be sorted (ascending order) and monotonic file may contain options (see below) as comment | 0
options |  |  | 0
xmin |  |  |
xmax |  |  |
ymin |  |  |
ymax |  |  |
thickness | thickness | relative thickness (1). D = D^ | 1
scaling |  |  | 1

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
pTable |  |  |
Mode_Table |  |  |
Type_Table |  |  |

## Links

- Source code for `Filter_gen.comp`.

[ Identification | Description | Input parameters | Output parameters | Links ]